package com.tmerclub.cloud.systemtest.data.platform;

import com.tmerclub.cloud.common.order.dto.OrderSelfStationDTO;
import com.tmerclub.cloud.common.order.dto.OrderShopDTO;
import com.tmerclub.cloud.common.order.dto.SubmitOrderDTO;

import java.util.ArrayList;

/**
 * @author lpj
 */
public class SubmitScoreOrderDtoData {
    public static SubmitOrderDTO getSubmitScoreOrderDtoData() {
        SubmitOrderDTO submitOrderDTO = new SubmitOrderDTO();

        OrderShopDTO orderShopParam = new OrderShopDTO();
        orderShopParam.setShopId(0L);
        orderShopParam.setRemarks("");
        ArrayList<OrderShopDTO> orderShopDTOList = new ArrayList<>();
        orderShopDTOList.add(orderShopParam);

        submitOrderDTO.setOrderInvoiceList(null);
        submitOrderDTO.setOrderSelfStationDto(new OrderSelfStationDTO());
        submitOrderDTO.setVirtualRemarkList(new ArrayList<>());
        submitOrderDTO.setOrderShopParam(orderShopDTOList);
        return submitOrderDTO;
    }
}
